# To build static libraries uncomment the following line,
# or give '--define "STATIC yes"' to rpm's  commandline
%define STATIC yes

Summary: 	A C++ interface for the GTK+ (a GUI library for X).
Name: 		gtk--
Version: 	1.0.2
Release: 	1a
Copyright: 	LGPL
Group: 		System Environment/Libraries
Source: 	ftp://ftp.gtk.org/pub/gtk/gtk--/Gtk---%{version}.tar.gz
Patch: 		localhost:/Gtk---%{version}-bash2.patch
URL: 		http://www.iki.fi/terop/gtk/gtk--.html
Prefix: 	/usr
BuildRoot: 	/var/tmp/%{name}-%{version}-root
Obsoletes:	Gtk--, Gtk---devel

%description
This package provides a C++ interface for GTK+ (the Gimp ToolKit) GUI
library.  The interface provides a convenient interface for C++
programmers to create GUIs with GTK+'s flexible object-oriented framework.
Features include type safe callbacks, widgets that are extensible using
inheritance and over 110 classes that can be freely combined to quickly
create complex user interfaces.

%package	devel
Summary: 	Headers for developing programs that will use Gtk--.
Group: 		Development/Libraries
Requires:       %{name}

%description    devel
This package contains the headers that programmers will need to develop
applications which will use Gtk--, the C++ interface to the GTK+
(the Gimp ToolKit) GUI library.

%package	devel-static
Summary: 	Gtk-- static libraries.
Group: 		Development/Libraries
Requires:       %{name}

%description devel-static 
This package contains the static libraries for Gtk--, the C++
interface to the GTK+ (the Gimp ToolKit) GUI library.

%prep
%setup -q -n Gtk---%{version}
%patch -p1 -b .bash2

%ifarch alpha
	ARCH_FLAGS="--host=alpha-linux-gnu"
%endif

# Needed for snapshot releases.
if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS \
		--prefix=%{prefix} \
%{?STATIC:	--enable-static } \
		--enable-shared --enable-docs
else
	CFLAGS="$RPM_OPT_FLAGS" ./configure  $ARCH_FLAGS \
		--prefix=%{prefix} \
		--disable-maintainer-mode \
%{?STATIC:	--enable-static } \
		--enable-shared --enable-docs
fi

%build
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
make DESTDIR=$RPM_BUILD_ROOT install

# Remove makefiles from doc dirs
#rm `find docs -type f -name Makefile\*`
#rm `find docs -type f -name \*.3`
#rm `find html -type f -name Makefile\*`

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/lib/*.so.*

%files  devel
%defattr(-, root, root)
%doc examples html docs AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/bin/*
%{prefix}/include/*.h
%{prefix}/include/gdk--
%{prefix}/include/gnome--
%{prefix}/include/gtk--
%{prefix}/lib/*.sh
%{prefix}/lib/*.so
%{prefix}/lib/Gtk--
#%{prefix}/man/man3/*
%{prefix}/share/aclocal/gtk--.m4

%{?STATIC:%files devel-static 		}
%{?STATIC:%defattr(-, root, root)	}
%{?STATIC:%{prefix}/lib/*.a		}
%{?STATIC:%{prefix}/lib/*.la		}

###########################################################################
%changelog
* Thu Aug 06 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Built against linuxppc-1999
- Added a patch to accomodate with bash-2.x

* Thu Jul 29 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- Updated to gtk---1.0.x
- Merged in changes from redhat's gtk--.spec
- conditional build of static libraries by %define 'STATIC'

* Thu May 10 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.3

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with gtk---devel requiring libgtk-- (not gtk--).  Oops.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed problem with most of the headers not being included.

* Thu Apr 30 1998 Bibek Sahu <scorpio@dodds.net>
- Upgraded to gtk---0.9.1

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- Fixed to build gtk-- and gtk---devel packages.

* Tue Apr 28 1998 Bibek Sahu <scorpio@dodds.net>
- First (s)rpm build.

